package jd_cookie

import (
	"context"
	"kami/api/jd_cookie/v1"
	"kami/internal/errHandler"
	"kami/internal/service"

	"github.com/gogf/gf/v2/errors/gcode"
	"github.com/gogf/gf/v2/errors/gerror"
)

// OrderHistory 订单变更历史
func (c *ControllerV1) OrderHistory(ctx context.Context, req *v1.OrderHistoryReq) (res *v1.OrderHistoryRes, err error) {
	_, err = service.SysAuth().LoginOnlyIFrame(ctx)
	if err != nil {
		err = errHandler.WrapError(ctx, gcode.CodeNotAuthorized, err, "权限不足")
		return
	}
	list, total, err := service.JdCookie().GetOrderHistory(ctx, req.OrderId, req.Page, req.Size)
	if err != nil {
		return nil, gerror.WrapCode(gcode.CodeInternalError, err, "查询订单变更历史失败")
	}

	res = &v1.OrderHistoryRes{
		List:  list,
		Total: total,
	}
	return
}
